<app-page-data-list
  [pageTitle]="'مدیریت ارایه‌دهنده‌گان'"
  [addNewCtaLabel]="'افزودن ارایه‌دهنده‌'"
  [columns]="columns"
  [showAdd]="true"
  emptyPlaceholderTitle="ارایه‌دهنده‌ی یافت نشد"
  emptyPlaceholderDescription="برای افزودن ارایه‌دهنده‌ی، روی دکمهٔ بالا کلیک کنید."
  [items]="items()"
  [loading]="loading()"
  [showDetails]="true"
  [showAdd]="true"
  (onAdd)="openAddForm()"
  (onRefresh)="refresh()"
/>
<provider-form
  [(visible)]="visibleForm"
  [editMode]="editMode()"
  [providerId]="selectedItemForEdit()?.id"
  [initialValues]="selectedItemForEdit() || undefined"
  (onSubmit)="refresh()"
/>
